## lcov 1.5

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #   - clean:     remove all generated files
 #
 
-VERSION := 1.4
+VERSION := 1.5
 RELEASE := 1
 DATE    := $(shell date +%Y-%m-%d)
