## lcov 1.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Makefile for the LTP GCOV extension (LCOV)
+# Makefile for LCOV
 #
 # Make targets:
 #   - install:   install LCOV tools and man pages on the system
@@ -11,9 +11,8 @@
 #   - clean:     remove all generated files
 #
 
-VERSION := 1.6
+VERSION := 1.8
 RELEASE := 1
-DATE    := $(shell date +%Y-%m-%d)
 
 CFG_DIR := $(PREFIX)/etc
 BIN_DIR := $(PREFIX)/usr/bin
@@ -27,7 +26,10 @@
 all: info
 
 info:
-	@echo try "'make install'", "'make uninstall'" or "'make dist'"
+	@echo "Available make targets:"
+	@echo "  install   : install binaries and man pages in PREFIX (default /)"
+	@echo "  uninstall : delete binaries and man pages from PREFIX (default /)"
+	@echo "  dist      : create packages (RPM, tarball) ready for distribution"
 
 clean:
 	rm -f lcov-*.tar.gz
@@ -35,18 +37,18 @@
 	make -C example clean
 
 install:
-	bin/install.sh bin/lcov $(BIN_DIR)/lcov
-	bin/install.sh bin/genhtml $(BIN_DIR)/genhtml
-	bin/install.sh bin/geninfo $(BIN_DIR)/geninfo
-	bin/install.sh bin/genpng $(BIN_DIR)/genpng
-	bin/install.sh bin/gendesc $(BIN_DIR)/gendesc
-	bin/install.sh man/lcov.1 $(MAN_DIR)/man1/lcov.1
-	bin/install.sh man/genhtml.1 $(MAN_DIR)/man1/genhtml.1
-	bin/install.sh man/geninfo.1 $(MAN_DIR)/man1/geninfo.1
-	bin/install.sh man/genpng.1 $(MAN_DIR)/man1/genpng.1
-	bin/install.sh man/gendesc.1 $(MAN_DIR)/man1/gendesc.1
-	bin/install.sh man/lcovrc.5 $(MAN_DIR)/man5/lcovrc.5
-	bin/install.sh lcovrc $(CFG_DIR)/lcovrc
+	bin/install.sh bin/lcov $(BIN_DIR)/lcov -m 755
+	bin/install.sh bin/genhtml $(BIN_DIR)/genhtml -m 755
+	bin/install.sh bin/geninfo $(BIN_DIR)/geninfo -m 755
+	bin/install.sh bin/genpng $(BIN_DIR)/genpng -m 755
+	bin/install.sh bin/gendesc $(BIN_DIR)/gendesc -m 755
+	bin/install.sh man/lcov.1 $(MAN_DIR)/man1/lcov.1 -m 644
+	bin/install.sh man/genhtml.1 $(MAN_DIR)/man1/genhtml.1 -m 644
+	bin/install.sh man/geninfo.1 $(MAN_DIR)/man1/geninfo.1 -m 644
+	bin/install.sh man/genpng.1 $(MAN_DIR)/man1/genpng.1 -m 644
+	bin/install.sh man/gendesc.1 $(MAN_DIR)/man1/gendesc.1 -m 644
+	bin/install.sh man/lcovrc.5 $(MAN_DIR)/man5/lcovrc.5 -m 644
+	bin/install.sh lcovrc $(CFG_DIR)/lcovrc -m 644
 
 uninstall:
 	bin/install.sh --uninstall bin/lcov $(BIN_DIR)/lcov
@@ -69,9 +71,9 @@
 	mkdir $(TMP_DIR)
 	mkdir $(TMP_DIR)/lcov-$(VERSION)
 	cp -r * $(TMP_DIR)/lcov-$(VERSION)
+	find $(TMP_DIR)/lcov-$(VERSION) -name CVS -type d | xargs rm -rf
 	make -C $(TMP_DIR)/lcov-$(VERSION) clean
-	bin/updateversion.pl $(TMP_DIR)/lcov-$(VERSION) $(VERSION) $(DATE) \
-			     $(RELEASE)
+	bin/updateversion.pl $(TMP_DIR)/lcov-$(VERSION) $(VERSION) $(RELEASE)
 	cd $(TMP_DIR) ; \
 	tar cfz $(TMP_DIR)/lcov-$(VERSION).tar.gz lcov-$(VERSION)
 	mv $(TMP_DIR)/lcov-$(VERSION).tar.gz .
