=== debian/changelog ===
lcov (1.8-1) unstable; urgency=low

  * New upstream release. Closes: #561111.
  * Standards-Version: 3.8.4.
  * Moved to debhelper 7 format , source format 3.0
  * Added Homepage: to debian/control. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Mar 2010 12:21:21 +0000

lcov (1.7-1) unstable; urgency=low

  * New upstream release: Closes: #478206. 
   - libtool patch no longer required.
  * Move to Standards-Version: 3.8.1; no changes required.
  * Formatted Description better for web display. Closes: #480325.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Apr 2009 14:00:15 +0100

lcov (1.6-1) unstable; urgency=low

  * New upstream version. Closes: #479206, #470072.
     - remove patch 10_gcov_tool, now implemented upstream.
     - remove patch 30_compat_libtool, now implemented upstream.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Apr 2008 18:48:08 +0100

lcov (1.5-3) unstable; urgency=low

  * Move DH_COMPAT to debian/compat.
  * Move to Standards-Version: 3.7.3. No changes required.
  * debhelper needs to be in Build-Depends, not Build-Depends-Indep.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Mar 2008 14:21:22 +0000

lcov (1.5-2) unstable; urgency=low

  * Add libtool compatability patch from CVS. Closes: #431397.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Sep 2007 16:13:14 +0100

lcov (1.5-1) unstable; urgency=low

  * New upstream release.
  * Move to DH_COMPAT=5. No changes required.
  * Move to Standards-Version: 3.7.2. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Sep 2006 15:46:57 +0100

lcov (1.4-1) unstable; urgency=low

  * New upstream release 1.4. Closes: #293184.
  * Include lcov examples.
  * Add Section: devel to debian/control
  * Moved to Standards-Version: 3.6.2; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  4 Aug 2005 21:16:04 +0100

lcov (1.3-4) unstable; urgency=low

  * Fix breakage for geninfo on C++ headers. Closes: #293184.
  * Allow option --gcov-tool to change which gcov we use. Closes: #293180.
  * Work with libtool'd libraries. Closes: #290476. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Feb 2005 21:24:35 +0000

lcov (1.3-3) unstable; urgency=low

  * Depend on dbs, not cdbs: Closes: #253613.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Jun 2004 19:34:00 +0100

lcov (1.3-2) unstable; urgency=low

  * Add dependency on cdbs. Closes: #253613. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Jun 2004 19:57:45 +0100

lcov (1.3-1) unstable; urgency=low

   * Initial Release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 May 2004 21:57:53 +0100
