=== debian/control ===
Source: lcov
Section: devel
Priority: optional
Build-Depends: debhelper (>=7.0.50~)
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Homepage: http://ltp.sourceforge.net/coverage/lcov.php
Standards-Version: 3.8.4

Package: lcov
Architecture: all
Depends: ${misc:Depends}
Section: devel
Priority: optional
Description: Summarise Code coverage information from GCOV
 LCOV is an extension of GCOV, a GNU tool which provides information about
 what parts of a program are actually executed (i.e. "covered") while running
 a particular test case. The extension consists of a set of PERL scripts
 which build on the textual GCOV output to implement the following enhanced
 functionality:
 . 	                                                                                
  - HTML based output: coverage rates are additionally indicated using bar
    graphs and specific colors.
  - Support for large projects: overview pages allow quick browsing of
    coverage data by providing three levels of detail: directory view,
    file view and source code view.
