## lcov 1.9

=== debian/changelog ===
lcov (1.9-3) unstable; urgency=low

   * Apply Fedora patches by Daniel Berrange, thanks to Michael Wild:
     - gcc-compat-4.7.patch: Fix compat with gcc 4.7
     - three-arg-open.patch: Replace 2 argument open with 3 argument open
   * DH_COMPAT=8 now. 
   * Check FTBFS now fixed:  Closes: #647138.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2012 13:42:56 +0100

lcov (1.9-2) unstable; urgency=low

  * Patch to change genhtml got overwritten by autogenerated debian-changes
    patch. Fixed. Closes: #5999932. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Oct 2010 00:11:27 +0100

lcov (1.9-1) unstable; urgency=low

  * New upstream release. Closes: #599388, #413834.
  * Standards-Version: 3.9.1
  * Patch from Enrico Zini for genhtml in missing source file case.
    Closes: #578571.
  * Patch from Guillem Jover for UTF-8. Closes: #590562.
  * PERL should be spelt "Perl". Closes: #589753.
  * Add Depends: on ${perl:Depends}, gcc; Recommends: libgd-gd2-perl

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Oct 2010 13:52:49 +0100

lcov (1.8-2) unstable; urgency=low

  * Pass --no-recursion flag to geninfo. Patch thanks to 
    Guillem Jover. Closes: #588322. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Jul 2010 12:04:20 +0100
