=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: lcov
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=7.0.50~)
+Build-Depends: debhelper (>=8.1.3)
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Homepage: http://ltp.sourceforge.net/coverage/lcov.php
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 
 Package: lcov
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, gcc
+Recommends: libgd-gd2-perl
 Section: devel
 Priority: optional
 Description: Summarise Code coverage information from GCOV
  LCOV is an extension of GCOV, a GNU tool which provides information about
  what parts of a program are actually executed (i.e. "covered") while running
- a particular test case. The extension consists of a set of PERL scripts
+ a particular test case. The extension consists of a set of Perl scripts
  which build on the textual GCOV output to implement the following enhanced
  functionality:
  .
