=== debian/rules ===
#!/usr/bin/make -f

# Debhelper 7 rules

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=`pwd`/debian/lcov install
