## lcov 1.10

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #   - clean:     remove all generated files
 #
 
-VERSION := 1.8
+VERSION := 1.10
 RELEASE := 1
 
 CFG_DIR := $(PREFIX)/etc
