=== debian/changelog ===
lcov (1.10-1) unstable; urgency=low

  [Alastair McKinstry]
  * New upstream release. Closes: #699426.
  * Standards-Version: 3.9.5 
  * DH_COMPAT=9 now.
  * Add watch file.

  [Zack Weinberg]
   * Refresh debian/patches:
     - recursion.patch: Applied upstream (closes: #588322)
     - three-arg-open.patch: Applied upstream.
     - genhtml_missing_file.patch: Fixed differently upstream (closes: #578751)
     - utf8-output.patch: Fixed differently upstream (closes #590562)
     - gcc-compat-4.7.patch: Fixed differently upstream.
     - perl-nocaps.patch: Partially applied upstream.
   * New local patch (handle-equals-signs.patch) for the floods of
         geninfo: Argument "=====" isn't numeric. 
      errors that you can get when processing C++ with exception handlers.  
      Closes: #699565.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2013 15:51:29 +0000
