=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lcov
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=8.1.3)
+Build-Depends: debhelper (>=9)
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Homepage: http://ltp.sourceforge.net/coverage/lcov.php
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: lcov
 Architecture: all
