=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Debhelper 7 rules
+# Debhelper rules
 
 %:
 	dh $@
