## lcov 1.11

=== debian/changelog ===
lcov (1.11-3) unstable; urgency=medium

  * Fix each() behaviour now undefined  with perl5.20. Closes: #761308.
  * Acknowledge bug fixed in previous release: Closes: #607206.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Sep 2014 14:05:50 +0100

lcov (1.11-2) unstable; urgency=medium

  * Fix for fail on virtual destructors. Thanks to  Peter Oberparleiter.
    Closes: #752451.
  * Now use xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Jun 2014 16:22:33 +0100

lcov (1.11-1) unstable; urgency=medium

  * New upstream release. Closes: #750192.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jun 2014 08:37:11 +0100
