=== debian/changelog ===
lcov (1.12-3) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Further reproducibility: Ensure filenames are handled in LC_ALL=C order
	
 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jul 2016 12:25:25 +0100

lcov (1.12-2) unstable; urgency=medium

  * Patch for reproducibility from Reiner Herrmann. Closes: #803412. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Oct 2015 01:59:16 +0000

lcov (1.12-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6
  * Add Vcs-Git to debian/control

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2015 17:09:43 +0100
