=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper (>=9)
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Homepage: http://ltp.sourceforge.net/coverage/lcov.php
-Standards-Version: 3.9.5
+Vcs-Git: https://github.com/linux-test-project/lcov.git
+Standards-Version: 3.9.8
 
 Package: lcov
 Architecture: all
