=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 # Debhelper rules
+
+LC_ALL=C
+export LC_ALL
 
 %:
 	dh $@
