=== debian/changelog ===
lcov (1.13-3) unstable; urgency=medium

  * More changes to use dh for bit-reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Oct 2017 18:59:32 +0100

lcov (1.13-2) unstable; urgency=medium

  * Standards-Version: 4.1.1; no changes required
  * Use dh_install to do installation for greater reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Oct 2017 16:38:07 +0100

lcov (1.13-1) unstable; urgency=medium

  * New upstream release. Thanks Sylvestre Ledru. Closes: #848956
  * Move to debhelper 10
  * Remove obsolet patches

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Dec 2016 08:25:40 +0000
