=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lcov
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=9)
+Build-Depends: debhelper (>=10)
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Homepage: http://ltp.sourceforge.net/coverage/lcov.php
 Vcs-Git: https://github.com/linux-test-project/lcov.git
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 
 Package: lcov
 Architecture: all
