=== debian/rules ===
#!/usr/bin/make -f

# Debhelper rules

export DH_VERBOSE=1

LC_ALL=C
export LC_ALL

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/lcov/usr/local/bin debian/lcov/usr/bin
	mkdir -p  debian/lcov/usr/share
	mv debian/lcov/usr/local/share/man debian/lcov/usr/share/man
	rm -rf debian/lcov/usr/local
