## lcov 1.14

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,10 @@
 RELEASE := $(shell bin/get_version.sh --release)
 FULL    := $(shell bin/get_version.sh --full)
 
+# Set this variable during 'make install' to specify the Perl interpreter used in
+# installed scripts, or leave empty to keep the current interpreter.
+export LCOV_PERL_PATH := /usr/bin/perl
+
 PREFIX  := /usr/local
 
 CFG_DIR := $(PREFIX)/etc
@@ -24,7 +28,7 @@
 FILES   := $(wildcard bin/*) $(wildcard man/*) README Makefile \
 	   $(wildcard rpm/*) lcovrc
 
-.PHONY: all info clean install uninstall rpms
+.PHONY: all info clean install uninstall rpms test
 
 all: info
 
@@ -33,11 +37,13 @@
 	@echo "  install   : install binaries and man pages in DESTDIR (default /)"
 	@echo "  uninstall : delete binaries and man pages from DESTDIR (default /)"
 	@echo "  dist      : create packages (RPM, tarball) ready for distribution"
+	@echo "  test      : perform self-tests"
 
 clean:
 	rm -f lcov-*.tar.gz
 	rm -f lcov-*.rpm
 	make -C example clean
+	make -C test -s clean
 
 install:
 	bin/install.sh bin/lcov $(DESTDIR)$(BIN_DIR)/lcov -m 755
@@ -111,3 +117,6 @@
 	mv $(TMP_DIR)/RPMS/noarch/lcov-$(VERSION)-$(RELEASE).noarch.rpm .
 	mv $(TMP_DIR)/SRPMS/lcov-$(VERSION)-$(RELEASE).src.rpm .
 	rm -rf $(TMP_DIR)
+
+test:
+	@make -C test -s all
