=== example/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 all: output
 
 example: example.o iterate.o gauss.o
-	$(CC) example.o iterate.o gauss.o -o example
+	$(CC) example.o iterate.o gauss.o -o example -lgcov
 
 example.o: example.c iterate.h gauss.h
 	$(CC) $(CFLAGS) -c example.c -o example.o
@@ -49,7 +49,8 @@
 	@echo
 	$(GENHTML) trace_noargs.info trace_args.info trace_overflow.info \
 		   --output-directory output --title "Basic example" \
-		   --show-details --description-file descriptions $(FRAMES)
+		   --show-details --description-file descriptions $(FRAMES) \
+		   --legend
 	@echo
 	@echo '*'
 	@echo '* See '`pwd`/output/index.html
@@ -69,7 +70,7 @@
 	@echo
 	$(LCOV) --zerocounters --directory .
 	./example
-	$(LCOV) --capture --directory . --output-file trace_noargs.info --test-name test_noargs
+	$(LCOV) --capture --directory . --output-file trace_noargs.info --test-name test_noargs --no-external
 
 test_2_to_2000:
 	@echo
@@ -79,7 +80,7 @@
 	@echo
 	$(LCOV) --zerocounters --directory .
 	./example 2 2000
-	$(LCOV) --capture --directory . --output-file trace_args.info --test-name test_2_to_2000
+	$(LCOV) --capture --directory . --output-file trace_args.info --test-name test_2_to_2000 --no-external
 
 test_overflow:
 	@echo
@@ -89,8 +90,9 @@
 	@echo
 	$(LCOV) --zerocounters --directory .
 	./example 0 100000 || true
-	$(LCOV) --capture --directory . --output-file trace_overflow.info --test-name "test_overflow"
+	$(LCOV) --capture --directory . --output-file trace_overflow.info --test-name "test_overflow" --no-external
 
 clean:
-	rm -rf *.o *.bb *.bbg *.da *.info output example descriptions
+	rm -rf *.o *.bb *.bbg *.da *.gcno *.gcda *.info output example \
+	descriptions
