=== test/lcov_misc/Makefile ===
include ../common.mak

test:
	@test_run lcov_version lcov --version
	@test_run lcov_help lcov --help
