=== debian/changelog ===
lcov (1.14-2) unstable; urgency=medium

  * Add patch for gcc 9 support from  upstream. Closes: #924573
  * Ack upgrade to 1.14. Closes: #924573
  * Use debhelper-compat (=12)
  * Standards-Version: 4.4.0
  * Point the VCS to a real salsa repo. Closes: #848955

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Aug 2019 09:29:20 +0100

lcov (1.14-1) unstable; urgency=medium

  * New Upstream release
  * Standards-Version: 4.3.0
  * Now use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Jun 2019 13:23:54 +0100

lcov (1.13-4) unstable; urgency=medium

  * Add support for gcc8.
  * Standards-Version: 4.1.4; no changes required
  * Add VCS on salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2018 09:07:06 +0100
