=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: lcov
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=10)
+Build-Depends: debhelper-compat (= 12),
+  libjson-perl, libperlio-gzip-perl
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Homepage: http://ltp.sourceforge.net/coverage/lcov.php
-Vcs-Git: https://github.com/linux-test-project/lcov.git
-Standards-Version: 4.1.1
+Homepage: https://github.com/linux-test-project/lcov.git
+Vcs-Browser: https://salsa.debian.org:/mckinstry/lcov.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/lcov.git
+Standards-Version: 4.4.0
 
 Package: lcov
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, gcc
+Depends: ${misc:Depends}, ${perl:Depends}, gcc,  libjson-perl, libperlio-gzip-perl
 Recommends: libgd-gd2-perl
 Section: devel
 Priority: optional
