=== debian/watch ===
version=3
http://ltp.sourceforge.net/coverage/lcov.php .*/lcov-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
