=== tests/lcov/add/Makefile ===
include ../../common.mak

TESTS := zero.sh zero2.sh full.sh full2.sh part.sh part2.sh concatenated4.sh

clean:
	rm -f *.info
