=== tests/lcov/diff/Makefile ===
include ../../common.mak

TESTS := test.sh

clean:
	rm -f *.info diff
	make -C old clean
	make -C new clean
