=== debian/changelog ===
lcov (1.15-1) unstable; urgency=medium

  * New upstream release. Closes: #998808
  * Standards-Version: 4.6.0
  * Use debhelper-compat 13
  * Add debian/gpb.conf file with DEP-14 branches
  * Archive moved to github; update d/watch file
  * Point Vcs-Git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Nov 2021 12:18:27 +0000
