=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: lcov
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
   libjson-perl, libperlio-gzip-perl
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Homepage: https://github.com/linux-test-project/lcov.git
 Vcs-Browser: https://salsa.debian.org:/mckinstry/lcov.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/lcov.git
-Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org:/mckinstry/lcov.git -b debian/latest
+Standards-Version: 4.6.0
 
 Package: lcov
 Architecture: all
