=== tests/Makefile ===
include common.mak

TESTS := genhtml/ lcov/

clean:
	rm -rf *.info *.counts test.log src/
