=== tests/lcov/summary/Makefile ===
include ../../common.mak

TESTS := zero.sh full.sh target.sh part1.sh part2.sh concatenated.sh \
	 concatenated2.sh

clean:
	rm -f *.info *.log
