=== debian/changelog ===
lcov (1.16-1) unstable; urgency=medium

  * New upstream release
    - rebase patches
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Jun 2022 09:19:45 +0100

lcov (1.15-2) unstable; urgency=medium

  * version.patch: version incorrectly reported. Closes: #1011531
  * Close fixed bug; repository now populated. Closes: #990915
  * Patch from Vagrant Cascadian on reproduciblity. Closes: #990914

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 May 2022 14:12:59 +0100
