=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: https://github.com/linux-test-project/lcov.git
 Vcs-Browser: https://salsa.debian.org:/mckinstry/lcov.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/lcov.git -b debian/latest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.
 
 Package: lcov
 Architecture: all
